Bug 3777 - Weird news dates for some RSS feeds
Summary: Weird news dates for some RSS feeds
Status: RESOLVED FIXED
Alias: None
Product: Claws Mail
Classification: Unclassified
Component: Plugins/RSSyl (show other bugs)
Version: 3.14.1
Hardware: PC Linux
: P3 normal
Assignee: users
URL:
Depends on:
Blocks:
 
Reported: 2017-03-03 17:23 CET by Georgi Georgiev
Modified: 2017-03-04 20:02 CET (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Georgi Georgiev 2017-03-03 17:23:06 CET
Hello,

I've been using the RSSyl plugin to read a set of the same RSS feeds for many years. A couple of months ago (can't remember exactly when) some of the feeds I follow started to show weird dates for the news items - they all look like this: 

'Thu,  1 Jan 1970 00:00:00 GMT'

For example the Debian security feed "https://www.debian.org/security/dsa-long" when opened from a browser have proper dates for the news items but in claws mail they all show as the start of the epoch time. The same goes for the SecurityFocus feed "http://www.securityfocus.com/rss/vulnerabilities.xml". On the other hand the OpenSource scurity feed for example "http://seclists.org/rss/oss-sec.rss" when opened from a browser has the news dates in the same format as the problematic feeds above and in claws mail the dates show OK.
Comment 1 users 2017-03-04 00:15:06 CET
Changes related to this bug have been committed.
Please check latest Git and update the bug accordingly.
You can also get the patch from:
http://git.claws-mail.org/

++ ChangeLog	2017-03-04 00:15:05.067982987 +0100
http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=a8a75f3d5ad99ca32864dc5443857e9ceda7884c
Merge: 1479c75 9327286
Author: Colin Leroy <colin@colino.net>
Date:   Sat Mar 4 00:15:04 2017 +0100

    Merge branch 'master' of file:///home/git/claws

http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=9327286516f1f545795b741921ec8c8939afe595
Author: Andrej Kacian <ticho@claws-mail.org>
Date:   Sat Mar 4 00:12:29 2017 +0100

    Add support for date-only variant of ISO8601 timestamp format.
    
    Fixes bug #3777 - Weird news dates for some RSS feeds
Comment 2 Andrej Kacian 2017-03-04 00:15:30 CET
The format in the two feeds is not the same, the Debian one uses a partial ISO8601 format (YYYY-DD-MM), which we do not yet support. I have just pushed a patch into git that fixes it.

Thanks for the report!
Comment 3 Georgi Georgiev 2017-03-04 20:02:47 CET
Hello,

I tried the patch against 3.14.1 and I can confirm that the issue is fixed.

Thanks for the fast reaction!

~George